libterm-choose-perl_1.644-1_all.deb


Advertisement

Description

libterm-choose-perl - module to choose items from a list interactively

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libterm-choose-perl_1.644-1_all.deb
Package name libterm-choose-perl
Package version 1.644
Package release 1
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/Term-Choose
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 35.82 KB
Installed size 164.00 KB
Term::Choose allows one to create prompts where the user can choose
interactively from a list of items.
It provides a functional and an object-oriented interface.
The prompt and the options can be customized in multiple ways, e.g. providing
default values or setting the layout for the presentation of the options.

Alternatives

Package Version Architecture Repository
libterm-choose-perl_1.644-1_all.deb 1.644 all Debian Main
libterm-choose-perl - - -

Requires

Name Value
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libterm-choose-perl_1.644-1_all.deb
Source Package libterm-choose-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libterm-choose-perl deb package:
    # sudo apt-get install libterm-choose-perl

Files

Path
/usr/share/doc/libterm-choose-perl/changelog.Debian.gz
/usr/share/doc/libterm-choose-perl/changelog.gz
/usr/share/doc/libterm-choose-perl/copyright
/usr/share/man/man3/Term::Choose.3pm.gz
/usr/share/perl5/Term/Choose.pm
/usr/share/perl5/Term/Choose/Constants.pm
/usr/share/perl5/Term/Choose/LineFold.pm
/usr/share/perl5/Term/Choose/Linux.pm
/usr/share/perl5/Term/Choose/LineFold/CharWidthAmbiguousWide.pm
/usr/share/perl5/Term/Choose/LineFold/CharWidthDefault.pm

Changelog

2019-01-28 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.644-1) unstable; urgency=medium
* Import upstream version 1.644.
2019-01-23 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.643-1) unstable; urgency=medium
* Import upstream version 1.643.
* Update years of upstream and packaging copyright.
2018-12-29 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.642-1) unstable; urgency=medium
* Import upstream version 1.642.
* Declare compliance with Debian Policy 4.3.0.
* Bump debhelper compatibility level to 11.
2018-12-21 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.641-1) unstable; urgency=medium
* Import upstream version 1.641.
2018-12-01 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.638-1) unstable; urgency=medium
* Import upstream version 1.638.
2018-11-25 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.636-1) unstable; urgency=medium
* Import upstream version 1.636.
2018-11-17 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.632-1) unstable; urgency=medium
* Import upstream version 1.632.
* Declare compliance with Debian Policy 4.2.1.
2018-08-21 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.627-1) unstable; urgency=medium
* Import upstream version 1.627.
2018-08-07 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.621-1) unstable; urgency=medium
* Import upstream version 1.621.
* Declare compliance with Debian Policy 4.2.0.
2018-07-22 - gregor herrmann <gregoa@debian.org>
libterm-choose-perl (1.609-1) unstable; urgency=medium
* Import upstream version 1.609.

See Also

Package Description
libterm-clui-perl_1.75-1_all.deb Perl module offering a Command-Line User Interface
libterm-editoredit-perl_0.16-2_all.deb module for editing a document via $EDITOR
libterm-encoding-perl_0.02-2_all.deb Perl module to detect encoding of the current terminal
libterm-extendedcolor-perl_0.238-1_all.deb module to color screen output using extended escape sequences
libterm-filter-perl_0.03-2_all.deb Perl module to run an interactive terminal session, filtering input and output
libterm-progressbar-perl_2.22-1_all.deb Perl module to print a progress bar
libterm-progressbar-quiet-perl_0.31-1_all.deb only show a progress meter if run interactively
libterm-progressbar-simple-perl_0.03-1_all.deb simple but featureful terminal progress bar
libterm-prompt-perl_1.04-2_all.deb Perl module for prompting a user for information
libterm-query-perl_2.0-10_all.deb Perl module for subroutines that handle simple tty-based UI
libterm-readkey-perl_2.38-1_i386.deb perl module for simple terminal control
libterm-readline-gnu-perl_1.36-1_i386.deb Perl extension for the GNU ReadLine/History Library
libterm-readline-perl-perl_1.0303-2_all.deb Perl implementation of Readline libraries
libterm-readline-ttytter-perl_1.4-3_all.deb Term::ReadLine driver with special features for microblogging
libterm-readline-zoid-perl_0.07-3_all.deb Pure Perl implementation of Readline libraries
Advertisement
Advertisement